Bug 630213 - Review Request: ghc-Boolean - Generalized booleans
Review Request: ghc-Boolean - Generalized booleans
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-vector-space
  Show dependency treegraph
 
Reported: 2010-09-03 23:27 EDT by Ben Boeckel
Modified: 2010-10-05 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-Boolean-0.0.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-28 01:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-03 23:27:28 EDT
Spec URL: http://benboeckel.net/packaging/ghc-Boolean/ghc-Boolean.spec
SRPM URL: http://benboeckel.net/packaging/ghc-Boolean/ghc-Boolean-0.0.1-1.fc14.src.rpm
Description:
Some classes for generalized boolean operations.

% lintmock fedora-14-x86_64-bb
ghc-Boolean.src: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean.src: W: strange-permission Boolean-0.0.1.tar.gz 0640L
ghc-Boolean.src: W: strange-permission ghc-Boolean.spec 0640L
ghc-Boolean.x86_64: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean-devel.x86_64: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean-prof.x86_64: E: devel-dependency ghc-Boolean-devel
ghc-Boolean-prof.x86_64: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean-prof.x86_64: W: no-documentation
ghc-Boolean-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/Boolean-0.0.1/libHSBoolean-0.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 1 Jens Petersen 2010-09-14 21:27:57 EDT
Here is the review:

 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

ghc-Boolean.src: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean.src: W: strange-permission Boolean-0.0.1.tar.gz 0640L
ghc-Boolean.src: W: strange-permission ghc-Boolean.spec 0640L
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
ghc-Boolean.x86_64: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/Boolean-0.0.1/libHSBoolean-0.0.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-Boolean-devel.x86_64: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-Boolean-prof.x86_64: E: devel-dependency ghc-Boolean-devel
ghc-Boolean-prof.x86_64: W: spelling-error Summary(en_US) booleans -> boo leans, boo-leans, Boolean
ghc-Boolean-prof.x86_64: W: no-documentation
ghc-Boolean-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/Boolean-0.0.1/libHSBoolean-0.0.1_p.a
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

b6cc0d88fae2629693128cb1a7a30cbb  Boolean-0.0.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2467946

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is ok.

Package APPROVED
Comment 2 Ben Boeckel 2010-09-14 22:49:46 EDT
New Package CVS Request
=======================
Package Name: ghc-Boolean
Short Description: Generalized booleans
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 3 Jens Petersen 2010-09-16 00:14:20 EDT
Git done (by process-git-requests).
Comment 4 Ben Boeckel 2010-09-16 19:49:27 EDT
Build fired off in koji. Updates will be filed as well.
Comment 5 Fedora Update System 2010-09-16 20:01:33 EDT
ghc-Boolean-0.0.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-Boolean-0.0.1-1.fc13
Comment 6 Fedora Update System 2010-09-16 20:01:39 EDT
ghc-Boolean-0.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-Boolean-0.0.1-1.fc14
Comment 7 Fedora Update System 2010-09-17 00:05:57 EDT
ghc-Boolean-0.0.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-Boolean'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-Boolean-0.0.1-1.fc14
Comment 8 Fedora Update System 2010-09-28 01:27:00 EDT
ghc-Boolean-0.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-10-05 09:02:46 EDT
ghc-Boolean-0.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.